Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] probable bug in 1.9a1r31409
From: Åke Sandgren (ake.sandgren_at_[hidden])
Date: 2014-04-16 09:35:35


On 04/16/2014 02:25 PM, Åke Sandgren wrote:
> Hi!
>
> Found this problem when building r31409 with Pathscale 5.0
>
> pshmem_barrier.c:81:6: error: redeclaration of 'pshmem_barrier_all' must
> have the 'overloadable' attribute
> void shmem_barrier_all(void)
> ^
> ../../../../oshmem/shmem/c/profile/defines.h:193:37: note: expanded from
> macro 'shmem_barrier_all'
> #define shmem_barrier_all pshmem_barrier_all
> ^
> pshmem_barrier.c:78:14: note: previous overload of function is here
> #pragma weak shmem_barrier_all = pshmem_barrier_all
> ^
> ../../../../oshmem/shmem/c/profile/defines.h:193:37: note: expanded from
> macro 'shmem_barrier_all'
> #define shmem_barrier_all pshmem_barrier_all
> ^
> pragma weak and define clashing...

Suggested patch attached (actually there where two similar cases...)

-- 
Ake Sandgren, HPC2N, Umea University, S-90187 Umea, Sweden
Internet: ake_at_[hidden]   Phone: +46 90 7866134 Fax: +46 90-580 14
Mobile: +46 70 7716134 WWW: http://www.hpc2n.umu.se